NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.Features.ShipDesign.RollingLineBuilder Class Reference

Represents a NXOpen.Features.ShipDesign.RollingLine builder. More...

Inheritance diagram for NXOpen.Features.ShipDesign.RollingLineBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  ConstructionMethodTypes {
  MarchingAngle, MarchingCurvature, ParallelPlane, MinimumCurvature,
  MaximumCurvature, Highlight, Asymptote
}
 The option to specify the method for creation of the pressure line. More...
 
enum  StartEvaluationTypes { SheetMidpoint, PointOnFace, NewPoint }
 The option for how the starting point for the evaluation of the sheet is to be created if it is not given. More...
 
enum  Types { Manual, Pressure, Geodesic, SteppedPressure }
 The option for the type of manufacturing operation to be performed on the sheet to form it. More...
 

Properties

unsafe NXOpen.Expression Angle [get]
 Returns the angle for either the max amount of rotation at a point for manual type. More...
 
unsafe NXOpen.Expression AngleDivisions [get]
 Returns the number of divisions for dividing the angle when using a manual type. More...
 
unsafe double AngleTolerance [get, set]
 Returns or sets the modeling angle tolerance. More...
 
unsafe
NXOpen.Features.ShipDesign.RollingLineBuilder.ConstructionMethodTypes 
ConstructionMethodOption [get, set]
 Returns or sets the value specifying which construction method to use for creating the rolling line. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the modeling distance tolerance. More...
 
unsafe
NXOpen.GeometricAnalysis.DupinBuilder 
DupinIndicatrix [get]
 Returns the dupin indicatrix for surface analysis. More...
 
unsafe NXOpen.Point EvaluationPoint [get, set]
 Returns or sets the selected point for evaluation when NXOpen.Features.ShipDesign.RollingLineBuilder.StartEvaluationTypes is NXOpen.Features.ShipDesign.RollingLineBuilder.StartEvaluationTypes.NewPoint . More...
 
unsafe
NXOpen.Features.ShipDesign.RollingLineBuilder.StartEvaluationTypes 
EvaluationPointOption [get, set]
 Returns or sets the option on how to seed the starting point for the evaluation. More...
 
unsafe bool HideConstructionProcess [get, set]
 Returns or sets the value specifying if the construction process should be hidden. More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the offset to be applied when marching along the surface to the next point. More...
 
unsafe NXOpen.Expression PlanarRadiusLimit [get]
 Returns the maximum radius on the surface to be considered non-planar. More...
 
unsafe NXOpen.Plane PlaneOrientation [get, set]
 Returns or sets the plane orientation to be used for NXOpen.Features.ShipDesign.RollingLineBuilder.Types.SteppedPressure . More...
 
unsafe NXOpen.Point3d PointOnFace [get, set]
 Returns or sets the point specified by the surface selection. More...
 
unsafe NXOpen.Direction SpecifyDirection [get, set]
 Returns or sets the initial flow direction. More...
 
unsafe NXOpen.ScCollector Surface [get]
 Returns the collection of faces that represent the surface to be analyzed. More...
 
unsafe
NXOpen.Features.ShipDesign.RollingLineBuilder.Types 
Type [get, set]
 Returns or sets the value identifying what type of manufacturing process is to be applied to the surface for bending. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.ShipDesign.RollingLine builder.

It is used to create and edit a rolling line feature.

To create a new instance of this class, use NXOpen.Features.ShipCollection.CreateRollingLineBuilder

Default values.

Property Value

Angle.Value

15.0

AngleDivisions.Value

3

ConstructionMethodOption

MarchingAngle

DupinIndicatrix.Angle

0

DupinIndicatrix.FlatnessTolerance

3500 (millimeters part), 137.8 (inches part)

DupinIndicatrix.Scale

1.0

EvaluationPointOption

SheetMidpoint

HideConstructionProcess

1

Offset.Value

500.0 (millimeters part), 20.0 (inches part)

PlanarRadiusLimit.Value

3500.0 (millimeters part), 137.8 (inches part)

Created in NX8.0.0

Member Enumeration Documentation

The option to specify the method for creation of the pressure line.

Enumerator
MarchingAngle 

Use an initial value method and march along the varying normals at each subsequent location.

MarchingCurvature 

Use an initial value method and march along the varying normals at each subsequent location adjusting the final direction by the sheet curvature.

ParallelPlane 

Use a parallel plane approach to develop the pressure line.

MinimumCurvature 

Use an initial value method and march along the minimum curvature at each subsequent location.

MaximumCurvature 

Use an initial value method and march along the maximum curvature at each subsequent location.

Highlight 

Use an initial value method and march along the highlight (zero degree isocline) at each subsequent location.

Asymptote 

Use an initial value method and march along and create the asymptotic lines.

Valid for a surface location that generates a hyperbole or parabola.

The option for how the starting point for the evaluation of the sheet is to be created if it is not given.

Enumerator
SheetMidpoint 

Use the midpoint of the sheet as the seed point for evaluation.

PointOnFace 

Use a point on the selected face to start the evaluation.

NewPoint 

Use the newly created, or specified, point as the seed point to start the evaluation.

The option for the type of manufacturing operation to be performed on the sheet to form it.

Enumerator
Manual 

Creates a single line on the surface where the maximum force is to be applied.

Pressure 

Create multiple lines on the surface where the tangential for each line is constant on intersecting plane sections.

Geodesic 

Create a single geodesic line on the surface.

SteppedPressure 

Create a saw tooth set of curves on the surface where the tangential for each line is constant on intersecting plane sections.

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.RollingLineBuilder.Angle
get

Returns the angle for either the max amount of rotation at a point for manual type.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.RollingLineBuilder.AngleDivisions
get

Returns the number of divisions for dividing the angle when using a manual type.

Created in NX8.0.0

License requirements: None.

unsafe double NXOpen.Features.ShipDesign.RollingLineBuilder.AngleTolerance
getset

Returns or sets the modeling angle tolerance.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Features.ShipDesign.RollingLineBuilder.ConstructionMethodTypes NXOpen.Features.ShipDesign.RollingLineBuilder.ConstructionMethodOption
getset

Returns or sets the value specifying which construction method to use for creating the rolling line.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe double NXOpen.Features.ShipDesign.RollingLineBuilder.DistanceTolerance
getset

Returns or sets the modeling distance tolerance.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.GeometricAnalysis.DupinBuilder NXOpen.Features.ShipDesign.RollingLineBuilder.DupinIndicatrix
get

Returns the dupin indicatrix for surface analysis.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Point NXOpen.Features.ShipDesign.RollingLineBuilder.EvaluationPoint
getset

Returns or sets the selected point for evaluation when NXOpen.Features.ShipDesign.RollingLineBuilder.StartEvaluationTypes is NXOpen.Features.ShipDesign.RollingLineBuilder.StartEvaluationTypes.NewPoint .

Not used for NXOpen.Features.ShipDesign.RollingLineBuilder.Types.SteppedPressure .

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Features.ShipDesign.RollingLineBuilder.StartEvaluationTypes NXOpen.Features.ShipDesign.RollingLineBuilder.EvaluationPointOption
getset

Returns or sets the option on how to seed the starting point for the evaluation.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe bool NXOpen.Features.ShipDesign.RollingLineBuilder.HideConstructionProcess
getset

Returns or sets the value specifying if the construction process should be hidden.

True indicates that the process should be hidden. Only valid for a manual type rolling line.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.RollingLineBuilder.Offset
get

Returns the offset to be applied when marching along the surface to the next point.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.ShipDesign.RollingLineBuilder.PlanarRadiusLimit
get

Returns the maximum radius on the surface to be considered non-planar.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Plane NXOpen.Features.ShipDesign.RollingLineBuilder.PlaneOrientation
getset

Returns or sets the plane orientation to be used for NXOpen.Features.ShipDesign.RollingLineBuilder.Types.SteppedPressure .

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Point3d NXOpen.Features.ShipDesign.RollingLineBuilder.PointOnFace
getset

Returns or sets the point specified by the surface selection.

This point is set during the UI interaction.

Created in NX8.0.0

License requirements to get this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.Direction NXOpen.Features.ShipDesign.RollingLineBuilder.SpecifyDirection
getset

Returns or sets the initial flow direction.

Not used for NXOpen.Features.ShipDesign.RollingLineBuilder.Types.SteppedPressure .

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")

unsafe NXOpen.ScCollector NXOpen.Features.ShipDesign.RollingLineBuilder.Surface
get

Returns the collection of faces that represent the surface to be analyzed.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Features.ShipDesign.RollingLineBuilder.Types NXOpen.Features.ShipDesign.RollingLineBuilder.Type
getset

Returns or sets the value identifying what type of manufacturing process is to be applied to the surface for bending.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_ship_concept ("Ship Concept") OR nx_ship_mfg_prep ("Ship Manufacturing")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.